<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: convertTable_util.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_1563a38af0d3a5e4a6330d6d45e9792a.html">tools</a></li><li class="navelem"><a class="el" href="dir_349fddaf93a5636cc525ca1b8cefee13.html">convert_table</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">convertTable_util.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespaceconvertchemtable__util"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconvertchemtable__util.html">convertchemtable_util</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a29f2f801f11a8168080178f9ef0faf93"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconvertchemtable__util.html#a29f2f801f11a8168080178f9ef0faf93">convertchemtable_util::convertchemtable_init</a> (config, table_out)</td></tr>
<tr class="memdesc:a29f2f801f11a8168080178f9ef0faf93"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads config file and allocate.  <a href="namespaceconvertchemtable__util.html#a29f2f801f11a8168080178f9ef0faf93">More...</a><br /></td></tr>
<tr class="separator:a29f2f801f11a8168080178f9ef0faf93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac46b554162d23cd7f97e9b9c3c45a4fd"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconvertchemtable__util.html#ac46b554162d23cd7f97e9b9c3c45a4fd">convertchemtable_util::readtable</a> (config, table_in)</td></tr>
<tr class="memdesc:ac46b554162d23cd7f97e9b9c3c45a4fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">reads in all given table files  <a href="namespaceconvertchemtable__util.html#ac46b554162d23cd7f97e9b9c3c45a4fd">More...</a><br /></td></tr>
<tr class="separator:ac46b554162d23cd7f97e9b9c3c45a4fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a186dc49818e9dba2ace9e07b75646cd2"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconvertchemtable__util.html#a186dc49818e9dba2ace9e07b75646cd2">convertchemtable_util::writetable</a> (config, table_out)</td></tr>
<tr class="memdesc:a186dc49818e9dba2ace9e07b75646cd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the final table file.  <a href="namespaceconvertchemtable__util.html#a186dc49818e9dba2ace9e07b75646cd2">More...</a><br /></td></tr>
<tr class="separator:a186dc49818e9dba2ace9e07b75646cd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac82962a8d01db3c33deb8ac6612e196c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconvertchemtable__util.html#ac82962a8d01db3c33deb8ac6612e196c">convertchemtable_util::findtypes</a> (config, table_out)</td></tr>
<tr class="memdesc:ac82962a8d01db3c33deb8ac6612e196c"><td class="mdescLeft">&#160;</td><td class="mdescRight">define types according to the table_in's data  <a href="namespaceconvertchemtable__util.html#ac82962a8d01db3c33deb8ac6612e196c">More...</a><br /></td></tr>
<tr class="separator:ac82962a8d01db3c33deb8ac6612e196c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4fedd0cf6fa8100e8331db19d482960"><td class="memItemLeft" align="right" valign="top">subroutine, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconvertchemtable__util.html#ab4fedd0cf6fa8100e8331db19d482960">convertchemtable_util::indices_init</a> (pt)</td></tr>
<tr class="memdesc:ab4fedd0cf6fa8100e8331db19d482960"><td class="mdescLeft">&#160;</td><td class="mdescRight">initialize indices required for relevant dimensions  <a href="namespaceconvertchemtable__util.html#ab4fedd0cf6fa8100e8331db19d482960">More...</a><br /></td></tr>
<tr class="separator:ab4fedd0cf6fa8100e8331db19d482960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa15488e99c316dc95dfb18c6b7af5d78"><td class="memItemLeft" align="right" valign="top">subroutine, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceconvertchemtable__util.html#aa15488e99c316dc95dfb18c6b7af5d78">convertchemtable_util::vectorize</a> (id, vector, pt, typ)</td></tr>
<tr class="memdesc:aa15488e99c316dc95dfb18c6b7af5d78"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets index of an entry and returns an array in vector of global format ex.: 3 -&gt; (0,1,0) [in case of 3D, and n(1)=3] counting starts from 0  <a href="namespaceconvertchemtable__util.html#aa15488e99c316dc95dfb18c6b7af5d78">More...</a><br /></td></tr>
<tr class="separator:aa15488e99c316dc95dfb18c6b7af5d78"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
